# Class MultipartStream.MalformedStreamException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.tomcat.util.http.fileupload.MultipartStream.MalformedStreamException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `MultipartStream`

public static class MultipartStream.MalformedStreamException extends IOException
Thrown to indicate that the input stream fails to follow the required syntax.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MalformedStreamException()`
  Constructs a `MalformedStreamException` with no detail message.
  `MalformedStreamException(String message)`
  Constructs an `MalformedStreamException` with the specified detail message.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MalformedStreamException

    public MalformedStreamException()
    Constructs a `MalformedStreamException` with no detail message.

  - ### MalformedStreamException

    public MalformedStreamException(String message)
    Constructs an `MalformedStreamException` with the specified detail message.
    Parameters:
      `message` - The detail message.